Bug 435542 - Review Request: xdemorse - GTK based application for decoding and displaying Morse code signals
Review Request: xdemorse - GTK based application for decoding and displaying ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-01 05:40 EST by Robert 'Bob' Jensen
Modified: 2008-07-16 14:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-16 14:07:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert 'Bob' Jensen 2008-03-01 05:40:06 EST
Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/xdemorse.spec
SRPM URL: http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/xdemorse-0.9-2.fc9.src.rpm
Description: xdemorse is a GTK+ graphical version of demorse, using the same decoding engine as demorse. 

It has an FFT-derived "waterfall" display of the incoming audio signal's spectrum, as well as a 'scope-like display of the audio detector's output and status of the mark/space discriminator ("slicer"). xdemorse also has CAT for the FT-847 and this can be used to net the receiver's frequency to the incoming signal, by clicking near its trace in the waterfall display.

This package mock builds for Fedora 7, Fedora 8 and devel on i386 and x86_64. All resulting rpms are rpmlint clean.
Comment 1 Dan Horák 2008-03-01 06:44:44 EST
some notes
 - you should add the doc/xdemorse.html as %doc too (README and ChangeLog are
referring to it)
 - you should ask upstream to include the license text into ythe source archive
 - when trying to run xdemorse, I am getting an error "Failed to open xdemorserc
file. Quit xdemorse and correct"


Formal review:

OK	source files match upstream:
		c42e15d6056ac7aa3ab8981c9e689ed43770205b  xdemorse-0.9.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (GPLv2+). License text not included upstream.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (F-8/x86_64, Rawhide/x86_64).
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
OK	no shared libraries are added to the regular linker search paths.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	is a GUI app, desktop file included

So before final approval I need from you to update the %doc with the manual and
fix (or explain) the xdemorserc issue.
Comment 2 Dan Horák 2008-03-01 06:51:16 EST
(In reply to comment #1)
> some notes
>  - you should add the doc/xdemorse.html as %doc too (README and ChangeLog are
> referring to it)
>  - you should ask upstream to include the license text into ythe source archive
>  - when trying to run xdemorse, I am getting an error "Failed to open xdemorserc
> file. Quit xdemorse and correct"
...
> 
> So before final approval I need from you to update the %doc with the manual and
> fix (or explain) the xdemorserc issue.

The solution could be some demo xdemorserc in %doc.
Comment 3 Robert 'Bob' Jensen 2008-03-03 01:23:30 EST
These should resolve the existing issues. Please review completely to be sure.

New Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/xdemorse.spec
New SRPM URL:
http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/xdemorse-0.9-3.fc9.src.rpm

Comment 4 Dan Horák 2008-03-04 09:45:24 EST
I think you missed to include doc/xdemorse.html as %doc. Using a wrapper to
create the config file is a good idea.

I did a scratch build
(http://koji.fedoraproject.org/koji/taskinfo?taskID=490483) and it looks good
(perhaps some timeout on ppc builder, as I got the same on ppc64 after requeue),
so please update the %doc and we are at the end.
Comment 5 Dan Horák 2008-06-04 07:53:52 EDT
ping
Comment 6 Lucian Langa 2008-07-16 01:17:00 EDT
Hello,

sorry for the long delay, Bob is having some serious problems and I will take
over this:

I've added doc/xdemorse.html to %doc and bumped version.
new files are:
http://lucilanga.fedorapeople.org/xdemorse.spec
http://lucilanga.fedorapeople.org/xdemorse-0.9-4.fc9.src.rpm
Comment 7 Dan Horák 2008-07-16 09:49:51 EDT
OK, now is this package APPROVED
Comment 8 Lucian Langa 2008-07-16 10:01:50 EDT
New Package CVS Request
=======================
Package Name: xdemorse
Short Description: GTK based application for decoding and displaying Morse code
signals
Owners: lucilanga,bjensen
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes

Comment 9 Kevin Fenzi 2008-07-16 12:04:04 EDT
cvs done.
Comment 10 Fedora Update System 2008-07-16 14:06:26 EDT
xdemorse-0.9-4.fc9 has been submitted as an update for Fedora 9

Note You need to log in before you can comment on or make changes to this bug.